Subject: NA-NET distribution message

From: [email-masked]
Date: Sun, 23 Jul 89 19:36:06 PDT

NA Digest   Sunday, July 23, 1989   Volume 89 : Issue 28

Today's Editor: Cleve Moler

Today's Topics:

     Sixth Parallel Circus
     Professorship in New South Wales
     Courseware for Numerical Analysis
     1989 Bell Award for Perfect Benchmarks
     FPS Math Library Publicly Available

-------------------------------------------------------

From: Anne Greenbaum <[email-masked]>
Date: Sat, 15 Jul 89 21:18:38 -0400
Subject: Sixth Parallel Circus

                   SIXTH PARALLEL CIRCUS
              Courant Institute, New York, NY

     The Sixth Parallel Circus will be held at  the  Courant
Institute  of Mathematical Sciences, New York University, on
Friday and Saturday, Oct. 27-28, 1989.  This is an  informal
gathering  of researchers interested in parallel processing.
The intention is to share recent  research  results  in  the
area  of parallel computing, especially numerical algorithms
and applications and programming tools. Students  are  espe-
cially  welcome  to  attend.  There is no formal proceedings
for the meeting.  Each participant may submit a title  of  a
talk  that she/he would be willing to give, and the order of
speakers will be set just before the start of  the  meeting.
Previous  Circuses  have  been  held  at  Yale, Cornell, IBM
Kingston, Rutgers, and  RPI.   The  Sixth  Circus  is  being
chaired by Gene Golub and Olof Widlund and organized by Anne
Greenbaum.

     The Courant Institute is located at 251 Mercer  Street,
New  York,  NY.   Buses/taxis  are  available  from Kennedy,
LaGuardia, or Newark airport, and train service is available
from  surrounding  areas.   Hotels  in NY are EXPENSIVE, but
room sharing is possible.  If you are interested in  attend-
ing or would like further information, please send e-mail to
[email-masked]  or regular mail to

Anne Greenbaum
Courant Institute
251 Mercer Street
New York, NY 10012

(Note:  I will be out of town until Aug. 1, so responses  to
inquiries will be sent then.)

------------------------------

From: Ian Sloan <[email-masked]>
Date: Tue, 18 Jul 89 11:40:06 EST
Subject: Professorship in New South Wales

Professor of Applied Math at New South Wales

The University of New South Wales, in Sydney Australia, is seeking an
applied mathematician of quality (field unspecified) as Professor of Applied
Mathematics.  The advertisement follows. Please contact me if I can be of any
help.  A regular mail address would allow me to send extra information.

Ian Sloan   [email-masked]  or [email-masked]

UNIVERSITY OF NEW SOUTH WALES
SYDNEY,  AUSTRALIA

PROFESSOR OF APPLIED MATHEMATICS

Applications are invited for the Chair of Applied Mathematics which becomes 
vacant following the retirement of Professor V.T. Buchwald.   The other Chair 
of Applied Mathematics is held by Professor R.H.J. Grimshaw, and a Personal 
Chair by Professor I.H. Sloan.   Applicants should have a distinguished record 
of research and scholarship in a branch of applied mathematics, and the ability
to provide academic leadership.

The School of Mathematics is one of the largest in Australia, and has a record 
of excellence in research as well as a commitment to teach at all undergraduate
and postgraduate levels.   Withing the School, the Department of Applied 
Mathematics, with an academic staff of around 20, has active research groups 
in optimization, optimal control, systems theory, numerical analysis, 
computational mathematics, nonlinear dynamics, wave theory, fluid dynamics 
and physical oceanography.   The Department encourages interaction with other 
disciplines and research activity involving applications.   In addition the 
School of Mathematics is currently building up strength in the area of 
mathematical computer science.

The new professor will be expected to serve as Head of Department or 
Head of School for a term or terms if so requested.

Futher information may be obtained from Professor I.H. Sloan, Head of School 
(02) 697 2957, or from the Dean of the Faculty of Science, Professor G. Brown 
(02) 679 2960.

Salary: \$A63,919 per annum.

Subject to consent by the University, professors may undertake a limited amount
of higher consultative work.

The University reserves the right to fill any chair by invitation.

Details of the position, together with conditions of appointment are available 
from the Head, Senior Appointments Unit, Vice-Chancellor's Division, UNSW, 
P.O. Box 1, Kensington, NSW 2033, Australia.

Applications close: 16 October 1989.

------------------------------

From: Patrick Gaffney <[email-masked]>
Date: Fri, 21 Jul 89 10:14:31 EMT
Subject: Courseware for Numerical Analysis

Ken Mandelberg's request for Mathematica "courseware" prompts me to ask
the question "Why would anyone wish to use Mathematica for presenting a
Numerical Analysis course in preference say to MATLAB or to the new Kahaner,
Moler, Nash book?"

It seems to me that both of the above alternatives are more suitable for
such a course than Mathematica, which as far as I can tell has yet to be
proven as a system worthy of such an enterprise.

I would welcome a discussion of the merits of Mathematica and other such
packages either in this forum or in the SIGNUM newsletter.

Patrick Gaffney

------------------------------

From: George Cybenko <[email-masked]>
Date: Fri, 21 Jul 89 21:07:15 CDT
Subject: 1989 Bell Award for Perfect Benchmarks

Gordon Bell is sponsoring a new award for high performance scien-
tific computing that consists of five categories. Contestants can
compete in any number of the categories described below.

           1989 Bell Award for Perfect Benchmark Rules

     Four of the five new award categories are based on the  Per-
fect Club benchmarks, 13 Fortran codes from a range of scientific
and engineering applications, including  fluid  dynamics,  signal
processing,   physical/chemical   computation,   and  engineering
design.  The codes have been collected and ported to a number  of
computer systems by a group of applications experts from industry
and academia.

     The $2,500 prize fund will be distributed appropriately,  at
the  discretion  of  the judges, among the winning entries in the
following five categories:

(1)  Sixteen or Fewer Processors:  The  measure  is  the  fastest
     wall clock time (including I/O) for the entire Perfect suite
     on any computer system that contains no more than 16 proces-
     sors.   The  programs  must  be executed as a sequential job
     stream, i.e., only one of the benchmarks may be executing at
     any moment.  "Computer system" includes distributed systems.
     There are no constraints on modifications that may  be  made
     to  the codes to obtain the results as long as solutions are
     sufficiently close to solutions obtained  by  the  benchmark
     codes.

(2)  More than 16 Processors:  The measure is the same as in  1.,
     except  that the computer system has more than 16 processors
     and all processors must participate in the execution of each
     benchmark.

(3)  Perfect Suite Cost-effectiveness:  The measure is  the  max-
     imum  cost-effectiveness  run  of  the  Perfect  suite where
     cost-effectiveness is defined as 1 divided by the product of
     running  time and the cost, where running time is defined in
     1., and cost is the list price of the  computer  system  and
     software  at the time of the run.  This disqualifies noncom-
     mercial machines from competing, unless they are a  combina-
     tion of commercially available computer systems.

(4)  Algorithms Cost-effectiveness:  The measure is  the  maximum
     cost-effectiveness  for the total running time of four algo-
     rithms (not whole benchmarks) chosen each  year.   The  same
     rules  apply  here  as  in  3., except that the current list
     price is based on the minimum configuration required to  run
     the  algorithm. (Write to address below for more details for
     1989.)

(5)  Perfect Subset:  The measure is the  minimal  running  time,
     defined  as  in 1., but with no restriction on the number of
     processors, for two codes to be selected annually  from  the
     Perfect suite.  (Write to address below for more details for
     1989.)

Processor Definition

     The processor divisions in  1.  and  2.,  although  somewhat
arbitrary,  are  intended  to reflect the broad classes of extant
parallel systems:  current systems range from  small  numbers  of
powerful  processors to large numbers of extremely simple proces-
sors. The division at 16 would move to a larger number over time.
The number of processors is defined as the number of simultaneous
program execution streams, i.e., in effect the number of  program
counters in simultaneous operation.  For example the Cray Y-MP in
operation today has 8 processors and the number is  projected  to
grow  to 16 and 64 for the Cray 3 and 4.  Similarly, the Thinking
Machines Corp. CM2 has up to 4 processors each with 16K  process-
ing elements or is a uniprocessor with 64K processing elements.

The Perfect Club Benchmark Applications

     The Perfect Club was formed with the purpose  of  developing
and applying a scientific methodology for the performance evalua-
tion of supercomputers.  Club members were  drawn  from  industry
and  academic  sectors  and  an initial suite of 13 Fortran codes
were designated as the "Perfect" Benchmark programs.  These codes
were  selected  because they solved fundamental problems across a
variety of applications requiring  supercomputing  performance  -
fluid dynamics, signal processing, physical/chemical computations
and engineering design.  See [BCKK89] for more information  about
the Perfect Club codes.

[BCKK89]  Berry, M., Chen, D., Koss, P., Kuck, D., Lo, S.,  Pang,
          Y.   Pointer,  L., Roloff, R., Sameh, A., Clementi, E.,
          Chin, S., Schneider, D., Fox, G., Messina, P.,  Walker,
          D.,  Hsiung, C., Schwarzmeier, J., Lue, K., Orszag, S.,
          Seidl, F., Johnson, O., Swanson, G., Goodrum, R.,  Mar-
          tin,  J.,   The Perfect Club Benchmarks: Effective Per-
          formance Evaluation of Supercomputers, CSRD Report  No.
          827,  1988.  (To appear in the International Journal of
          Supercomputing Applications, 1989.)

     The deadline for contest submissions is December 31, 1989.

     For more information about the Perfect Benchmark  Suite  and
     the Bell Award for the Perfect Benchmarks write to:

               Bell Awards for Perfect Benchmarks
               Center for Supercomputing Research and Development
               University of Illinois
               Urbana, IL 61801
               USA

NOTE:  IEEE Software administers a separate  prize  sponsored  by
Gordon  Bell.   Contact  the IEEE Software office for information
about that prize.

------------------------------

From: Brad Carlile <[email-masked]>
Date: 19 Jul 89 21:08:02 GMT
Subject: FPS Math Library Publicly Available

News Release:  FPS COMPUTING MATH LIBRARY OFFERED AT NO COST

BEAVERTON, Oregon, June 23 -- FPS Computing today announced "at-cost"
availability of FPSMath(TM), the de facto standard library for
engineering and scientific algorithms.  This permits organizations to have
common mathematical tools across their entire computing environment at nominal
cost, speeding application development and research, assuring portability, 
and taking advantage of supercomputer and accelerator features.

Only a nominal one-time duplication and shipping fee will be charged now for
the extended use of FPSMath.  Updates will also be offered on a regular basis.
Customers can get FPSMath product information by calling 1-800-635-0938, or the
nearest FPS sales office.

FPS Computing has been dedicated for 20 years to providing the best in
high-end computing.  FPSMath has been installed on over 400 minisupercomputers
and over 8,000 array processors during that history.  

FPSMath is a scientific and engineering math library containing over 300
routines which has evolved into a de facto industry standard.  All subroutines 
in FPSMath have names and calling sequences compatible with their counterparts 
in the well-established FPS Math Library.  The entire FPS Math Library, now 
available as FPSMath, is optimized for use on the FPS Model 500 departmental 
supercomputer and Model 350/300 graphics and workgroup supercomputers.

FPS Computing (Floating Point Systems, Inc.) has the largest installed base of 
high performance computing equipment in the industry.  Founded in 1970, FPS is 
headquartered in Beaverton, Oregon, and is listed on the New York Stock 
Exchange.

Features Summary  FPSMath
-------------------------
  +  over 300 routines.
  +  covering all popular engineering and scientific algorithms.
  +  may be utilized on any machine.
  +  on over 400 minisupercomputers and on over 8,000 array processors.
  +  callable from FORTRAN or C.
  +  no-cost license for FORTRAN source.
  +  on-line documentation -- UNIX "man pages".

FPSMath Library Categories
--------------------------
Geophysical Processing - contains the normal moveout, filtering, and scanning
routines that have become the standard in the seismic community.

Image Processing - two-dimensional Fast Fourier Transforms, convolution,
correlation, and a variety of matrix filter routines.

Matrix Basic and Extended Arithmetic - commonly used real and complex matrix
kernels, including matrix multiplication, matrix inversion, matrix transpose,
linear system solution, and eigensystem solution routines.

Matrix Sparse Arithmetic - real and complex symmetric and nonsymmetric sparse
factor and solve routines, as well as tridiagonal, skyline format, and sparse
iterative matrix solvers.

Signal Processing - all of the routines expected from the leader in signal
processing: cross-correlation, auto-correlation, windowing, Fast Fourier
Transform, and tapered convolution routines to name a few.

Simulation - prediction and correlation routines, Bessel functions, Runge-
Kutta-Gill integration, and linear interpolation routines.

Basic Vector Arithmetic - real and complex vector routines from vector add to
vector integration.  Includes all basic vector arithmetic operations, a
mixed-radix FFT package, and coordinate transformation and conversion routines.

Vector Data Processing - contains a variety of routines for sorting, clipping,
merging, and determining the maximum and minimum values between two vectors.

Vector Logical - routines which can be used to determine the logical
relationship between the elements of two vectors.

Vector Scalar Function - dot products, determination of vector maximums, and
minimums, root-mean-square of vector elements, and several other common vector
calculations which produce a scalar output.

FPSMath product information can be obtained by calling 1-800-635-0938, or by
contacting the nearest FPS sales office.

The following trademarks are owned by Floating Point Systems, Inc.:
FPSMath, FPS Computing.

------------------------------

End of NA Digest
**************************
-------